<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>TranskribusExtractors</artifactId>
    <packaging>pom</packaging>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <propertiesEncoding>UTF-8</propertiesEncoding>
    </properties>
    
    <parent>
        <groupId>eu.transkribus</groupId>
        <artifactId>TranskribusLanguageResources</artifactId>
        <version>0.4.0</version>
    </parent>
    
    <modules>
        <module>TranskribusDocxExtractor</module>
        <module>TranskribusXMLExtractor</module>
        <module>TranskribusPDFExtractor</module>
        <module>TranskribusGenericExtractor</module>
        <module>TranskribusExtractorsCore</module>
    </modules>
    
    <dependencies>
        <dependency>
            <groupId>eu.transkribus</groupId>
            <artifactId>TranskribusDictionaries</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>
    
    <dependencyManagement>
	    <dependencies>
	    	<dependency>
	            <groupId>org.apache.pdfbox</groupId>
	            <artifactId>pdfbox</artifactId>
	            <version>2.0.18</version>
	            <type>jar</type>
	        </dependency>
    	</dependencies>
    </dependencyManagement>
</project>
